import { ComponentFixture, TestBed } from '@angular/core/testing';

import { TypographyComponent } from './typography.component';

describe('TypographyComponent', () => {
  let component: TypographyComponent;
  let fixture: ComponentFixture<TypographyComponent>;

  beforeEach(async () => {
    await TestBed.configureTestingModule({
      imports: [TypographyComponent]
    })
    .compileComponents();
    
    fixture = TestBed.createComponent(TypographyComponent);
    component = fixture.componentInstance;
    fixture.detectChanges();
  });

  it('should create', () => {
    expect(component).toBeTruthy();
  });

  it('updates lineHeight accordinly', () => {
    const MOCK_LINEHEIGHT = '1.8rem';
    fixture.componentRef.setInput('lineHeight', MOCK_LINEHEIGHT);
    expect(component.lineHeight()).toBe(MOCK_LINEHEIGHT)
  })
});
